## visad.util
Class LabeledRGBWidget

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      visad.util.LabeledColorWidget
                          visad.util.LabeledRGBWidget

All Implemented Interfaces:
  Accessible, ActionListener, EventListener, ImageObserver, MenuContainer, Serializable

Deprecated. - use LabeledColorWidget

public class LabeledRGBWidget
extends LabeledColorWidget

A color widget that allows users to interactively map numeric data to RGB tuples based on the Vis5D color widget

Since:
  Visad Utility Library v0.7.1
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class visad.util.LabeledColorWidget
`wrappedWidget`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LabeledRGBWidget(ScalarMap smap)` Deprecated. - use LabeledColorWidget instead
`LabeledRGBWidget(ScalarMap smap, float min, float max)` Deprecated. - use LabeledColorWidget instead
`LabeledRGBWidget(ScalarMap smap, float min, float max, float[][] table)` Deprecated. - use LabeledColorWidget instead
`LabeledRGBWidget(ScalarMap smap, float min, float max, float[][] table, boolean update)` Deprecated. - use LabeledColorWidget instead

Methods inherited from class visad.util.LabeledColorWidget
`actionPerformed, getBaseMap, getMaximumSize, getMinimumSize, getPreferredSize, getPreview, getSlider, getTable, main, setMaximumSize, setMinimumSize, setPreferredSize, setTable`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setNextFocusableComponent, setOpaque, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LabeledRGBWidget

    public LabeledRGBWidget(ScalarMap smap)
                     throws VisADException,
                            RemoteException

  Deprecated. - use LabeledColorWidget instead

  this will be labeled with the name of smap's RealType and linked to the ColorControl in smap; the range of RealType values mapped to color is taken from smap.getRange() - this allows a color widget to be used with a range of values defined by auto-scaling from displayed Data; if smap's range values are not available at the time this constructor is invoked, the LabeledRGBWidget becomes a ScalarMapListener and sets its range when smap's range is set; the DisplayRealType of smap must be Display.RGB and should already be added to a Display

### LabeledRGBWidget

    public LabeledRGBWidget(ScalarMap smap,
                            float min,
                            float max)
                     throws VisADException,
                            RemoteException

  Deprecated. - use LabeledColorWidget instead

  this will be labeled with the name of smap's RealType and linked to the ColorControl in smap; the range of RealType values (min, max) is mapped to color as defined by an interactive color widget; the DisplayRealType of smap must be Display.RGB and should already be added to a Display

### LabeledRGBWidget

    public LabeledRGBWidget(ScalarMap smap,
                            float min,
                            float max,
                            float[][] table)
                     throws VisADException,
                            RemoteException

  Deprecated. - use LabeledColorWidget instead

  this will be labeled with the name of smap's RealType and linked to the ColorControl in smap; the range of RealType values (min, max) is mapped to color as defined by an interactive color widget; table initializes the color lookup table, organized as float[TABLE_SIZE][3] with values between 0.0f and 1.0f; the DisplayRealType of smap must be Display.RGB and should already be added to a Display

### LabeledRGBWidget

    public LabeledRGBWidget(ScalarMap smap,
                            float min,
                            float max,
                            float[][] table,
                            boolean update)
                     throws VisADException,
                            RemoteException

  Deprecated. - use LabeledColorWidget instead

  construct a LabeledRGBWidget linked to the ColorControl in map (which must be to Display.RGB), with range of values (min, max), initial color table in format float[TABLE_SIZE][3] with values between 0.0f and 1.0f, and specified auto-scaling min and max behavior